{% load static from staticfiles %}
<!DOCTYPE html>

<head>
    <title>Tentang Kami</title>
    {% include 'import.html' %}
    <link rel="stylesheet" href="{% static 'crowdfunding/css/about.css' %}"/>
</head>

<script>

    {#var csrftoken = $("[name=csrfmiddlewaretoken]").val();#}
    {#var csrftoken = getCookie('csrftoken');#}

    function getCookie(name) {
        var cookieValue = null;
        if (document.cookie && document.cookie !== '') {
            var cookies = document.cookie.split(';');
            for (var i = 0; i < cookies.length; i++) {
                var cookie = jQuery.trim(cookies[i]);
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) === (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }

    var csrftoken = getCookie('csrftoken');

    function updateTestimony() {
        $.get("{% url 'testimony-api' %}", data => {
            console.log(data)
            var testimonys = data.testimonys;
            var testimonys_div = $('#testimony-container');
            testimonys_div.html("");
            console.log("masuk sini")
            testimonys.forEach(testimony => {
                console.log("masuk sini gan")
                var content = testimony[0];
                var name = testimony[1];
                testimonys_div.append(`<div class="testimony-wrapper"> <blockquote><i class="fas fa-quote-left"></i>` + content + `</blockquote><h4>&ndash; ` + name + `</h4></div>`);
            })

        })

    }

    function onClick() {
        console.log("aabccd");
        var testimony = $('#testimony-text-area').val()
        var username = "{{ request.user }}"
        $.ajax({
                type: "POST",
                url: "{% url 'testimony-api' %}",
                data: JSON.stringify(
                    {
                        username: username,
                        testimony: testimony,
                    }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                headers: {
                    "X-CSRFToken": csrftoken
                },
                success: result => {
                    updateTestimony();
                }
            }
        );
    }
    $(updateTestimony());

</script>
<body>
{% include 'navbar.html' %}
<section id="about">
    <h1>ABOUT US</h1>
    <div class="yellow-sq"></div>
    <div class="about-desc">
        <img src="https://image.ibb.co/nND3O0/Logo-Sinar-Perak-A4-01.png">
        <span>
        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore
        magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
        consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
        pariatur.
        Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
      </span>
    </div>
</section>

<section id="testimonial">
    <h1>TESTIMONIALS</h1>
    <div class="yellow-sq"></div>
    <div id="testimony-container">
    </div>

    {% csrf_token %}

    {% if user.is_authenticated %}
        <h2>Tuliskan Testimonimu</h2>
        <div class="form-wrapper">
            <textarea id="testimony-text-area"></textarea>
            <button onclick="onClick()">Testify!</button>
        </div>
    {% endif %}
</section>

{% include 'footer.html' %}
</body>
